<?php


namespace Verifone\Hosted\Helper\Includes;
use Verifone\Hosted\Helper\Interfaces\Arrayable;
use Verifone\Hosted\Helper\Interfaces\Jsonable;

/**
 * Class Verifone_Api_Entity
 */
abstract class VerifoneApiEntity implements Arrayable, Jsonable
{
	protected $data;

	/**
	 * @inheritDoc
	 */
	abstract public function toJson();

	/**
	 * @inheritDoc
	 */
	abstract public function toArray();
}
